import { DbModel } from "src/app/model/entities/db-model";
import { Permission } from "src/app/model/entities/role";
import { Group } from "src/app/model/entities/group";

export interface ShortUrl extends DbModel {
  shortUrl: string;
  targetUrl: string;
  description: string;
  visits: number;
  group?: Group;
}

export interface ShortUrlDto {
  id: number;
  targetUrl: string;
  loadingScreen: boolean;
}

export interface ShortUrlCreateInput {
  shortUrl: string;
  targetUrl: string;
  description: string;
  groupId: number;
}

export interface ShortUrlUpdateInput {
  id: number;
  shortUrl: string;
  targetUrl: string;
  description: string;
  groupId: number;
}
